/* servomotor rotation shown on a LCD display
 by techrm <http://techrm.blogspot.com>
 This example code is in the public domain.
*/ 

// include the library code:
#include <Servo.h> 
#include <LiquidCrystal.h>

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

Servo myservo;  // create servo object to control a servo 
                // twelve servo objects can be created on most boards
 
int pos = 0;    // variable to store the servo position 
 
void setup() 
{ 
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object    
  lcd.begin(16, 2);   // set up the LCD's number of columns and rows:
} 
 
void loop() 
{       


  for(pos = 0; pos <= 180; pos += 1) // goes from 0 degrees to 180 degrees 
  {                                  // in steps of 1 degree 
    myservo.write(pos);              // tell servo to go to position in variable 'pos'     
    lcd.clear();
    lcd.setCursor(0, 1);             // set the cursor to column 0, line 1 - (note: line 1 is the second row, since counting begins with 0):
    lcd.print(pos);
    lcd.setCursor(0, 0);             // set the cursor to column 0, line 0 - (note: line 1 is the second row, since counting begins with 0):
    lcd.print("ROTATION");
    delay(100);                       // waits 15ms for the servo to reach the position 
  } 
  for(pos = 180; pos>=0; pos-=1)     // goes from 180 degrees to 0 degrees 
  {                                

    myservo.write(pos);              // tell servo to go to position in variable 'pos'     
    lcd.clear();
    lcd.setCursor(0, 1);             // set the cursor to column 0, line 1 - (note: line 1 is the second row, since counting begins with 0):
    lcd.print(pos);
    lcd.setCursor(0, 0);             // set the cursor to column 0, line 0 - (note: line 1 is the second row, since counting begins with 0):
    lcd.print("ROTATION");
    delay(100);                       // waits 15ms for the servo to reach the position 
  }

} 
